classification
Title: PyUnicode_FromFormatV("%c") doesn't support non-BMP characters on narrow build
Type: Stage:
Components: Interpreter Core, Unicode Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, vstinner
Priority: normal Keywords: patch

Created on 2011-01-05 01:43 by vstinner, last changed 2011-02-23 12:14 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
pyunicode_fromformatv_c.patch vstinner, 2011-01-05 01:43
Messages (3)
msg125393 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-05 01:43
PyUnicode_FromFormatV("%c") supposes that an unicode character is always stored as a single Py_UNICODE word: but that's wrong on narrow build with characters in [U+10000; U+10FFFF].

Attached patch fixes this bug.

See also #10829.
msg128997 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-02-21 21:24
Fixed in 3.3 (r88481).

Keep it open to backport it maybe to 3.2 later.
msg129181 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-02-23 12:14
Fixed in 3.2 too (r88532).
History
Date User Action Args
2011-02-23 12:14:35vstinnersetstatus: pending -> closed

messages: + msg129181
resolution: fixed
2011-02-21 21:24:27vstinnersetstatus: open -> pending

messages: + msg128997
2011-01-05 01:43:11vstinnercreate